Bug 122874 - OPTIONS DIALOG: AutoCaption options not saved
Summary: OPTIONS DIALOG: AutoCaption options not saved
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.2 rc
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: AutoCaption
  Show dependency treegraph
 
Reported: 2019-01-22 10:22 UTC by Juang Dse
Modified: 2019-01-23 17:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juang Dse 2019-01-22 10:22:49 UTC
In the AutoCaption dialog, I check

LibreOffice Formula

and hit 'Ok'. But when I reopen the dialog the option is gone. Same for all other options.
Comment 1 Dieter 2019-01-22 12:01:51 UTC
I confirm it with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 411f3a050ac2be598019d512f8ccfe041080c28f
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-01-14_03:17:11
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded

I enabled all captions, buit when I reopened the dialog only 1, 2 or 3 options were still checked

Not in 

Version: 6.1.4.2 (x64)
Build-ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group threaded
Comment 2 Xisco Faulí 2019-01-22 13:51:15 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3bd103064ba719013471d9664ea2c1f207b84d90

author	Caolán McNamara <caolanm@redhat.com>	2018-12-11 20:30:52 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-12-12 21:07:12 +0100
commit	3bd103064ba719013471d9664ea2c1f207b84d90 (patch)
tree	b15086268b4858614f19b746e67b870945de1b0b
parent	27995e638e1582b443befa93bc5dfd5970a38ef2 (diff)
weld SwCaptionOptPage

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2019-01-22 15:19:07 UTC
ah, I see, if the row is selected then the toggle is honoured, but if the row is not selected we end ignoring the toggle
Comment 4 Commit Notification 2019-01-22 17:09:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e6c08c0c5bea60a5de727fc234379fe86569d6ab%5E%21

Resolves: tdf#122874 select row when user clicks toggle in row

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-01-23 10:03:47 UTC
Hi Caolán,
I see the option are saved now in

Version: 6.3.0.0.alpha0+
Build ID: 8f7c35072a6bbb33f6582c8c9a37a275c8d3cb14
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

however, I still see a problem with the first option.

Steps to reproduce:
1. Open Writer
2. Open Option dialog - Autocaption
3. Select the first three options
4. Close the dialog
5. Reopen it

-> The first option is not selected. The second and third are
Comment 6 Caolán McNamara 2019-01-23 14:04:10 UTC
ah yes, first entry is pre-selected so no select-handler sent for that one
Comment 7 Commit Notification 2019-01-23 15:59:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0d46fb02f3f19d11db40b6c5335d78a3894502d7%5E%21

Related: tdf#122874 first entry is preselected

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2019-01-23 15:59:56 UTC
added that fix to backports
Comment 9 Xisco Faulí 2019-01-23 17:09:06 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 0d46fb02f3f19d11db40b6c5335d78a3894502d7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 10 Commit Notification 2019-01-23 17:23:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/30a6c065f43509a37b24ebcf57d56b6dbfcbb6ac%5E%21

Resolves: tdf#122874 select row when user clicks toggle in row

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-01-23 17:25:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/b4b5c22f692a45853cb32c19f8ad011803322dd5%5E%21

Resolves: tdf#122874 select row when user clicks toggle in row

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.